Skip to main content
GET
Get quote per instrument
For more information, please visit the INTX Java SDK.

Path Parameters

instrument
string
required

Identifies the instrument by name (e.g., BTC-USDC), UUID (e.g., ce55a827-f04a-45c0-9d9b-8bbdb9b48065), or instrument ID (e.g., 7149252043835013)

Response

Instrument list

best_bid_price
string

The highest buy order price resting on the book. For spot instruments which route orders to Coinbase Exchange, this field may be temporarily set to 0 if REST API cannot reach Coinbase Exchange; in a future release the field will not be populated if Coinbase Exchange is unreachable.

Example:

20000.5

best_bid_size
string

The total amount available at the best bid price. For spot instruments which route orders to Coinbase Exchange, this field may be temporarily set to 0 if REST API cannot reach Coinbase Exchange; in a future release the field will not be populated if Coinbase Exchange is unreachable

Example:

3.541424

best_ask_price
string

The lowest sell order price resting on the book. For spot instruments which route orders to Coinbase Exchange, this field may be temporarily set to 0 if REST API cannot reach Coinbase Exchange; in a future release the field will not be populated if Coinbase Exchange is unreachable

Example:

20001.75

best_ask_size
string

The total amount available at the best ask price. For spot instruments which route orders to Coinbase Exchange, this field may be temporarily set to 0 if REST API cannot reach Coinbase Exchange; in a future release the field will not be populated if Coinbase Exchange is unreachable

Example:

2.8754

trade_price
string

The price of the most recent trade. For spot instruments which route orders to Coinbase Exchange, this field may be temporarily set to 0 if REST API cannot reach Coinbase Exchange; in a future release the field will not be populated if Coinbase Exchange is unreachable

Example:

20000.63

trade_qty
string

The size of the most recent trade. For spot instruments which route orders to Coinbase Exchange, this field may be temporarily set to 0 if REST API cannot reach Coinbase Exchange; in a future release the field will not be populated if Coinbase Exchange is unreachable

Example:

0.73

index_price
string

For perpetual futures only, the index price used for the funding process

Example:

20001.45

mark_price
string

The current mark price value used in risk and margin calculations

Example:

20000.63

settlement_price
string

The most recent settlement price value

Example:

20000.23

limit_up
string

The max price the book allows buy orders to trade. For spot instruments which route orders to Coinbase Exchange this field is not set, set to "", or 0

Example:

21056.35

limit_down
string

The min price the book allows sell orders to trade. For spot instruments which route orders to Coinbase Exchange this field is not set, set to "", or 0

Example:

19531.5

predicted_funding
string

The predicted funding rate based on the current state of a rolling calculation

Example:

0.1543

timestamp
string<date-time>

The timestamp of the last quote update